Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.replay.playback
Class ReplaySM

    java.lang.Object
      java.lang.Thread
          rice.selector.SelectorManager
              org.mpisws.p2p.transport.peerreview.replay.playback.ReplaySM

All Implemented Interfaces:
  java.lang.Runnable, Destructable, Timer

    public class ReplaySM

extends SelectorManager

There are normally 3 kinds of events: Invokations TimerTasks Network I/O The Network I/O should match exactly with our Log, and so we only have to pump Invokations

Author:
  Jeff Hoye

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class rice.selector.SelectorManager
`cancelledKeys, environment, instance, invocations, logger, modifyKeys, random, running, select, selector, seqCtr, seqLock, TIMEOUT, timerQueue, timeSource, useLoopListeners, wakeupTime`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ReplaySM(java.lang.String instance, DirectTimeSource timeSource, LogManager log)`

Method Summary
`protected void` | `addTask(TimerTask task)`
`protected void` | `doInvocations()` Method which invokes all pending invocations.
`protected boolean` | `isSuccess()`
`boolean` | `makeProgress()`
`void` | `setEnvironment(Environment env)` Don't automatically start the thread.
`void` | `setVerifier(Verifier v)`

Methods inherited from class rice.selector.SelectorManager
`addLoopObserver, cancel, destroy, doSelections, executeDueTasks, executeTask, getEnvironment, getInvocation, getKey, getModifyKey, getNextTaskExecutionTime, getNumInvocations, getSelector, getTimer, invoke, isSelectorThread, main, modifyKey, notifyLoopListeners, onLoop, register, removeLoopObserver, removeTask, run, schedule, schedule, schedule, scheduleAtFixedRate, select, selectedKeys, setLogLevel, setSelect, useLoopListeners, wakeup`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReplaySM

    public ReplaySM(java.lang.String instance,
                    DirectTimeSource timeSource,
                    LogManager log)

Method Detail

### setVerifier

    public void setVerifier(Verifier v)

### setEnvironment

    public void setEnvironment(Environment env)

  Don't automatically start the thread.

  Overrides:
    `setEnvironment` in class `SelectorManager`

### addTask

    protected void addTask(TimerTask task)

  Overrides:
    `addTask` in class `SelectorManager`

### makeProgress

    public boolean makeProgress()

### isSuccess

    protected boolean isSuccess()

### doInvocations

    protected void doInvocations()

  Description copied from class: `SelectorManager`
  Method which invokes all pending invocations. This method should *only* be called by the selector thread.

  Overrides:
    `doInvocations` in class `SelectorManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.